package com.jianshui.income.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 发票查验进项 实体
 * @Author 巩权林
 * @Date 2021-12-17 10:33
 **/
public class IncomeInvoice extends BaseEntity {

    // 自增id
    Long id;

    // 企业company_id
    Integer companyId;

    // 批次号
    String pch;

    // 校验码
    String jym;

    // 企业税号，与identity代表的企业一致
    String taxNo;

    // 不含税金额，发票种类为 01，02，03，15,08时不可为空:01，02，03 填写发票不含税金额，15 填写发票车价合计
    BigDecimal fpje;

    // 发票代码
    String fpdm;

    // 发票号码
    String fphm;

    // 开票日期
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date kprq;

    // 发票种类
    String fpzl;

    // 查验状态，0未查验，1查验中，2已查验，3查验失败
    Integer status;

    // 作废标志
    String zfbz;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public String getPch() {
        return pch;
    }

    public void setPch(String pch) {
        this.pch = pch;
    }

    public String getJym() {
        return jym;
    }

    public void setJym(String jym) {
        this.jym = jym;
    }

    public String getTaxNo() {
        return taxNo;
    }

    public void setTaxNo(String taxNo) {
        this.taxNo = taxNo;
    }

    public BigDecimal getFpje() {
        return fpje;
    }

    public void setFpje(BigDecimal fpje) {
        this.fpje = fpje;
    }

    public String getFpdm() {
        return fpdm;
    }

    public void setFpdm(String fpdm) {
        this.fpdm = fpdm;
    }

    public Date getKprq() {
        return kprq;
    }

    public void setKprq(Date kprq) {
        this.kprq = kprq;
    }

    public String getFphm() {
        return fphm;
    }

    public void setFphm(String fphm) {
        this.fphm = fphm;
    }

    public String getFpzl() {
        return fpzl;
    }

    public void setFpzl(String fpzl) {
        this.fpzl = fpzl;
    }

    public String getZfbz() {
        return zfbz;
    }

    public void setZfbz(String zfbz) {
        this.zfbz = zfbz;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "Income{" +
                "id=" + id +
                ", companyId=" + companyId +
                ", pch='" + pch + '\'' +
                ", jym='" + jym + '\'' +
                ", taxNo='" + taxNo + '\'' +
                ", fpje=" + fpje +
                ", fpdm='" + fpdm + '\'' +
                ", fphm='" + fphm + '\'' +
                ", kprq=" + kprq +
                ", fpzl='" + fpzl + '\'' +
                '}';
    }
}
